/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbtools.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2008-07-25
**
***************************************************************************/

#include "qtbnamedpoint.h"

/*!
  \class QtbNamedPoint qtbnamedpoint.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

QString QtbNamedPoint::toString(int precision) const
{
  QTB_TRACE;
  QString tmp;
  tmp+=QtbPoint::toString(precision);
  tmp+=" ";
  tmp+=_name;
  return tmp;
}

bool QtbNamedPoint::fromString(QtbStringSection str)
{
  QTB_TRACE;
  const QChar * ptr=0;
  QtbStringSection f;
  f=str.firstField(ptr);
  if (f.isValid()) setX(f.toDouble()); else return false;
  f=str.nextField(ptr);
  if (f.isValid()) setY(f.toDouble()); else return false;
  f=str.nextField(ptr);
  if (f.isValid()) setZ(f.toDouble()); else return false;
  f=str.nextField(ptr);
  if (f.isValid()) _name=f.toString(); else return false;
  return true;
}
