/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbtools.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2004-09-13
**
***************************************************************************/

#ifndef QTB_TOOLSDLLEXPORT_H
#define QTB_TOOLSDLLEXPORT_H

#include <qglobal.h>

/* *_STATIC and MAKE_*_DLL are defined by the capitalization of
   the package name, included in the compiler options (only for Windows).
*/
#if defined(Q_WS_WIN) && !defined(QTBTOOLS_STATIC)
#ifdef MAKE_QTBTOOLS_DLL
# define QTBTOOLS_EXPORT __declspec(dllexport)
#else
# define QTBTOOLS_EXPORT __declspec(dllimport)
#endif
#else
# define QTBTOOLS_EXPORT
#endif

#endif  // QTB_TOOLSDLLEXPORT_H
