/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbwave.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2008-10-17
**
***************************************************************************/

#include "qtbrayleighfunction.h"
#include "qtbrayleigh.h"
#include "qtbmemorychecker.h"

/*!
  \class QtbRayleighFunction qtbrayleighfunction.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

/*!
  Description of constructor still missing
*/
QtbRayleighFunction::QtbRayleighFunction()
    : QtbAbstractFunction2()
{
  QTB_TRACE;
  _model = 0;
}

/*!
  Description of destructor still missing
*/
QtbRayleighFunction::~QtbRayleighFunction()
{
  QTB_TRACE;
}

/*!
  \a x is frequency in Hz, \a y is the slowness.
*/
double QtbRayleighFunction::value(double x, double y) const
{
  QTB_TRACE;
  QtbRayleigh r(_model);
  r.setOmega( 2.0*M_PI*x );
  return r.y( y );
}
