/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbtools.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2004-05-17
**
***************************************************************************/

#include "qtbmatrix.h"
#include "qtbmemorychecker.h"

/*!
  \class QtbMatrix qtbmatrix.h

  Template for implicitely shared matrix compatible with Lapack

  LAPACK is assuming matrix stored in vectors column by column

     For a MxN matrix:
        a(1,1) ... a(m,1) a(1,2) ... a(m,2)    ...   a(1,n) ... a(m,n)
*/
