/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbtools.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2007-02-09
**
***************************************************************************/

#include "qtbmessagecontext.h"
#include "qtbcoreapplication.h"

/*!
  \class QtbMessageContext qtbmessagecontext.h
  \brief Define a context for recording and automatic answer to user messages

  Full description of class still missing
*/

/*!
  Description of constructor still missing
*/
QtbMessageContext::QtbMessageContext( bool quiet )
{
  QTB_TRACE;
  qtbApp.messageHandler()->beginContext( quiet );
}

/*!
  Description of destructor still missing
*/
QtbMessageContext::~QtbMessageContext()
{
  QTB_TRACE;
  qtbApp.messageHandler()->endContext();
}
