/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbtools.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2007-02-20
**
***************************************************************************/

#include "qtbpoint1d.h"

/*!
  \class QtbPoint1D qtbpoint1d.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

/*!
  \fn QtbPoint1D::QtbPoint1D()
  Description of constructor still missing
*/

QString QtbPoint1D::toString(int precision) const
{
  QTB_TRACE;
  return QString::number(_x,'g',precision);
}

bool QtbPoint1D::fromString(QtbStringSection str)
{
  QTB_TRACE;
  if (str.isValid()) {
    _x=str.toDouble();
    return true;
  } else {
    return false;
  }
}
