/***************************************************************************
**
**  Copyright (C) 2002-2009 Marc Wathelet. All rights reserved.
**
**  This file is part of qtbwave.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  See http://www.geopsy.org for more information.
**
**  Created : 2006-09-25
**
***************************************************************************/

#include "qtbfactorypoint.h"
#include "qtbvalue.h"

/*!
  \class QtbFactoryPoint qtbfactorypoint.h
  \brief A factory point is a statistical point with an index reference into a QtbFactoryStorage

  X sampling of QtbModalStorage objects is made of the compound of various QtbModalCurve.
  Before calculating the misfit, it is necessary to link data and calculated theoretical
  values. Basically this object stores a point with an index into a QtbModalStorage.
*/

/*!
  \fn QtbFactoryPoint::QtbFactoryPoint()
  Description of constructor still missing
*/
